Package io.dapr.v1

# Class CommonProtos.StateOptions.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateOptions.Builder>
io.dapr.v1.CommonProtos.StateOptions.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `CommonProtos.StateOptionsOrBuilder`, `Cloneable`

Enclosing class:
  CommonProtos.StateOptions

public static final class CommonProtos.StateOptions.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateOptions.Builder> implements CommonProtos.StateOptionsOrBuilder

     StateOptions configures concurrency and consistency for state operations

Protobuf type `dapr.proto.common.v1.StateOptions`

## Method Summary

Modifier and Type
Method
Description
`CommonProtos.StateOptions.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`CommonProtos.StateOptions`
`build()`
`CommonProtos.StateOptions`
`buildPartial()`
`CommonProtos.StateOptions.Builder`
`clear()`
`CommonProtos.StateOptions.Builder`
`clearConcurrency()`
`.dapr.proto.common.v1.StateOptions.StateConcurrency concurrency = 1;`
`CommonProtos.StateOptions.Builder`
`clearConsistency()`
`.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 2;`
`CommonProtos.StateOptions.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`CommonProtos.StateOptions.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`CommonProtos.StateOptions.Builder`
`clone()`
`CommonProtos.StateOptions.StateConcurrency`
`getConcurrency()`
`.dapr.proto.common.v1.StateOptions.StateConcurrency concurrency = 1;`
`int`
`getConcurrencyValue()`
`.dapr.proto.common.v1.StateOptions.StateConcurrency concurrency = 1;`
`CommonProtos.StateOptions.StateConsistency`
`getConsistency()`
`.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 2;`
`int`
`getConsistencyValue()`
`.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 2;`
`CommonProtos.StateOptions`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`CommonProtos.StateOptions.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`CommonProtos.StateOptions.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`CommonProtos.StateOptions.Builder`
`mergeFrom(CommonProtos.StateOptions other)`
`final CommonProtos.StateOptions.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`CommonProtos.StateOptions.Builder`
`setConcurrency(CommonProtos.StateOptions.StateConcurrency value)`
`.dapr.proto.common.v1.StateOptions.StateConcurrency concurrency = 1;`
`CommonProtos.StateOptions.Builder`
`setConcurrencyValue(int value)`
`.dapr.proto.common.v1.StateOptions.StateConcurrency concurrency = 1;`
`CommonProtos.StateOptions.Builder`
`setConsistency(CommonProtos.StateOptions.StateConsistency value)`
`.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 2;`
`CommonProtos.StateOptions.Builder`
`setConsistencyValue(int value)`
`.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 2;`
`CommonProtos.StateOptions.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`CommonProtos.StateOptions.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`final CommonProtos.StateOptions.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateOptions.Builder>`

### clear

public CommonProtos.StateOptions.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateOptions.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateOptions.Builder>`

### getDefaultInstanceForType

public CommonProtos.StateOptions getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public CommonProtos.StateOptions build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public CommonProtos.StateOptions buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public CommonProtos.StateOptions.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateOptions.Builder>`

### setField

public CommonProtos.StateOptions.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateOptions.Builder>`

### clearField

public CommonProtos.StateOptions.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateOptions.Builder>`

### clearOneof

public CommonProtos.StateOptions.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateOptions.Builder>`

### setRepeatedField

public CommonProtos.StateOptions.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateOptions.Builder>`

### addRepeatedField

public CommonProtos.StateOptions.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateOptions.Builder>`

### mergeFrom

public CommonProtos.StateOptions.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<CommonProtos.StateOptions.Builder>`

### mergeFrom

public CommonProtos.StateOptions.Builder mergeFrom(CommonProtos.StateOptions other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateOptions.Builder>`

### mergeFrom

public CommonProtos.StateOptions.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<CommonProtos.StateOptions.Builder>`
Throws:
  `IOException`

### getConcurrencyValue

public int getConcurrencyValue()
`.dapr.proto.common.v1.StateOptions.StateConcurrency concurrency = 1;`

Specified by:
  `getConcurrencyValue` in interface `CommonProtos.StateOptionsOrBuilder`
Returns:
  The enum numeric value on the wire for concurrency.

### setConcurrencyValue

public CommonProtos.StateOptions.Builder setConcurrencyValue(int value)
`.dapr.proto.common.v1.StateOptions.StateConcurrency concurrency = 1;`

Parameters:
  `value` - The enum numeric value on the wire for concurrency to set.
Returns:
  This builder for chaining.

### getConcurrency

public CommonProtos.StateOptions.StateConcurrency getConcurrency()
`.dapr.proto.common.v1.StateOptions.StateConcurrency concurrency = 1;`

Specified by:
  `getConcurrency` in interface `CommonProtos.StateOptionsOrBuilder`
Returns:
  The concurrency.

### setConcurrency

public CommonProtos.StateOptions.Builder setConcurrency(CommonProtos.StateOptions.StateConcurrency value)
`.dapr.proto.common.v1.StateOptions.StateConcurrency concurrency = 1;`

Parameters:
  `value` - The concurrency to set.
Returns:
  This builder for chaining.

### clearConcurrency

public CommonProtos.StateOptions.Builder clearConcurrency()
`.dapr.proto.common.v1.StateOptions.StateConcurrency concurrency = 1;`

Returns:
  This builder for chaining.

### getConsistencyValue

public int getConsistencyValue()
`.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 2;`

Specified by:
  `getConsistencyValue` in interface `CommonProtos.StateOptionsOrBuilder`
Returns:
  The enum numeric value on the wire for consistency.

### setConsistencyValue

public CommonProtos.StateOptions.Builder setConsistencyValue(int value)
`.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 2;`

Parameters:
  `value` - The enum numeric value on the wire for consistency to set.
Returns:
  This builder for chaining.

### getConsistency

public CommonProtos.StateOptions.StateConsistency getConsistency()
`.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 2;`

Specified by:
  `getConsistency` in interface `CommonProtos.StateOptionsOrBuilder`
Returns:
  The consistency.

### setConsistency

public CommonProtos.StateOptions.Builder setConsistency(CommonProtos.StateOptions.StateConsistency value)
`.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 2;`

Parameters:
  `value` - The consistency to set.
Returns:
  This builder for chaining.

### clearConsistency

public CommonProtos.StateOptions.Builder clearConsistency()
`.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 2;`

Returns:
  This builder for chaining.

### setUnknownFields

public final CommonProtos.StateOptions.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateOptions.Builder>`

### mergeUnknownFields

public final CommonProtos.StateOptions.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateOptions.Builder>`